// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "NSProcessInfo-OFExtensions.h"

#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>

// This is not included in OmniBase.h since system.h shouldn't be used except when covering OS specific behaviour
#import <OmniBase/system.h>

RCS_ID("$Header: /Network/Source/CVS/OmniGroup/OmniFoundation/OpenStepExtensions.subproj/NSProcessInfo-OFExtensions.m,v 1.4 1999/03/30 21:25:46 kc Exp $")

@implementation NSProcessInfo (OFExtensions)

- (NSNumber *)processNumber;
{
    return [NSNumber numberWithUnsignedShort:getpid()];
}

@end
